import {
  drawById
} from "../../utils/qrcode"

// pages/order/order.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    order: {
      orderId: 202020058792,
      title: "葛优躺（北京躺）电影足疗",
      price: 298,
      orderTime: "12-12 17:00~18:00",

    },
    shop: {
      name: "大华店",
      address: "上海市徐汇区漕溪北路88号",
      tel: "021-1234567"
    }

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    drawById.call(wx, "qrCode", {
      text: this.data.order.orderId, // 二维码内容
    })
  },

  createQrcode: function () {
    drawById.call(wx, "qrCode", {
      text: "1233", // 二维码内容
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})